{% extends 'base.html' %}
{% load static%}

{% block head_content %}
    <title>@{{ request.user.username }}  | Update profile</title>

{% endblock head_content %}

{% block container %}

    <div class="row justify-content-md-center">
        <div class="col-6 p-4" id="profile-box">
            <form action={% url 'users:update' %} method="POST" enctype="multipart/form-data">
                {% csrf_token %}

                {% if form.errors %}
                    <p class="alert alert-danger">{{ form.errors }}</p>
                {% endif %}
                <div class="media">
                    {% if profile.picture %}
                        <img src=" {{ profile.picture.url }} " alt="Profile picture" class="rounded-circle" height="50">
                    {% else %}
                        <img src="{% static 'img/default-profile.png' %}" alt="Profile picture" class="rounded-circle" height="50">
                    {% endif %}
                    
                    <div class="media-body">
                        <h5 class="ml-4">@{{ user.username }} | {{ user.get_full_name }}</h5>
                        <p class="ml-4"><input type="file" name="picture" required="true"></p>
                    </div>
                </div>
                
                <hr><br>

                <div class="form-group">
                    <label for="website">Website</label>
                    <input 
                        type="url" 
                        class="form-control" 
                        name="website" 
                        placeholder="Website"
                        value="{{ profile.website }}"
                    >
                </div>

                <div class="form-group">
                    <label for="biography">Biography</label>
                    <textarea name="biography" id="" cols="30" rows="10" class="form-control">{{ profile.biography }}</textarea>
                </div>

                <div class="form-group">
                    <label for="phone_number">Phone number</label>
                    <input 
                        type="text" 
                        class="form-control" 
                        name="phone_number" 
                        placeholder="Phone number" 
                        value="{{ profile.phone_number }}">
                </div>

                <button type="submit" class="btn btn-primary btn-block mt-5">Update info</button>

            </form>
        </div>
    </div>

{% endblock container %}